Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006609TestLinkAvailable Fixespublic2014-09-27 16:412015-02-07 10:51
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006609: Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious
DescriptionAvailables hot-fixes for 1.9.12

Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot


ATTENTION - Since Gitorious ha upgraded it's site following instructions

Get latest package with all fixes from gitorious, using wget
wget http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9 [^] [^]

ARE not valid ANYMORE
Seems only option is to CLONE repository (I'm sorry)


A little bit complex option (you need git installed on your system)
1. create a directory where you are going to get latest code
1.1 cd /
1.2 mkdir /testlink-fixes-latest

2. cd /testlink-fixes-latest
2.1 git clone git@gitorious.org:testlink-ga/testlink-code.git
this will create a new directory testlink-code

2.2 cd /testlink-fixes-latest/testlink-code
2.3 git checkout git checkout remotes/origin/testlink_1_9

(from http://stackoverflow.com/questions/1911109/git-clone-a-specific-branch [^])

3. get updates
After you have done this for FIRST TIME , to get updates
3.1 cd /testlink-fixes-latest/testlink-code
3.2 git pull


Great News From Gitoriuos
Tarball download is working again!!! (give a look to attached image Download Button)

PLEASE GIVE A LOOK TO THIS:
https://docs.google.com/document/d/18Ap4kuApHvtXrSFXpWShYAFYrG6MQ8EaNjksETvo-2o/edit?usp=sharing [^]


Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006870closedfman JIRA REST - getComponents() 
related to 0006868closedfman JIRA REST - getPriorities() 
related to 0006869closedfman JIRA REST - getVersions() 
related to 0006866closedfman JIRA REST API - Dynamic configuration to tracker management 
related to 0006867closedfman JIRA REST - getIssueTypes() 
parent of 0006611closedfman E_NOTICE Undefined property - printDocOptions.tpl.php - Line 172 
parent of 0006608closedfman Test Case Step - Create / Modify - Add new button 'Save & Create step' 
parent of 0006612closedfman Test execution filters destroys tree 
parent of 0006617closedfman filter breaks requirement tree 
parent of 0006626closedfman Print view shows version 1 even if test case have version 2 
parent of 0006631closedfman Test Report does not work 
parent of 0006630closedfman impossible to assign test case execution 
parent of 0006637closedfman Create test case from requiremenent fails - UTF-8 Issue ? 
parent of 0006638closedfman Reports on format Pseudo MS Word doesn't load the reports list 
parent of 0006635closedfman Can't Check/uncheck all Test cases in Assign Test Case Execution 
parent of 0006614closedfman "Cancel" button in Test Project Edit is not function 
parent of 0006610closedfman After creating a new project and hitting "Return" button bring randomly "Webpage has expired" 
parent of 0006116closedfman Test case keywords are not displayed on execution pane 
parent of 0006648closedfman Checkbox "Update tree after every operation" does not work 
parent of 0006650closedfman Test Step execution - Attachment management 
parent of 0006651closedfman PHP Object Injection Vulnerability In /lib/execute/execSetResults.php 
parent of 0006655closedfman Many warnings when a user run a test 
parent of 0006656closedfman "Results by Tester per Build" - show closed builds is not working 
parent of 0006666closedfman Security Warnings - allow to configure how many times has to be done 
parent of 0006667closedfman Config option to enable/disable combo with access to user documentation on desktop/main page 
parent of 0006673closedfman Set Urgent Tests duplicates test number when there is user assigned 
parent of 0006686closedfman Error when creating an existing test suite (when NAME already exists) 
parent of 0006688closedfman Cancel button does not function when creating a test case. (‘check to create another test case after saving’) 
parent of 0006689closedfman Cancel does not function when creating a new test case with existing name. 
parent of 0006712closedfman Reset Password does not write password to DB, when DEFAULT AUTH method is LDAP, but user is DB 
parent of 0006719closedfman Create Mantis issue fails 
parent of 0006722closedfman It´s impossible Unassigned test cases alltogether 
parent of 0006723closedfman Search Test Cases - possibility to filter also by Status 
parent of 0006720closedfman Impossible Logout via login page 
parent of 0006725closedfman Test Cases Created x user - GUI Refactoring 
parent of 0006726closedfman Test Case Search - GUI refactoring 
parent of 0006730closedfman es_ES localization 
parent of 0006743closedfman XML-Export: Include ID of test suites 
parent of 0006646closedfman Extend API - XMLRPC Add function "removeAssignement" 
parent of 0006740closedfman Req Based Report shows a rolled up status of "Partial Pass" when all test cases are not run 
parent of 0006739closedfman IMPORT RESULTS VIA XML - Copy linked issues from (ABSOLUTE) latest execution 
parent of 0006736closedfman Copy linked issues from (ABSOLUTE) latest execution when creating a new execution 
parent of 0006754closedfman Test Suite Heading Prints With Text Style, Not Header Style 
parent of 0006756closedfman Test suite creation - Details can not be provided 
parent of 0006749closedfman pl_PL localization for 1.9.12 + DEV updates 
parent of 0006744closedfman relation_destination_tcase is not localized 
parent of 0006752closedfman Could not Set Test cases urgency in bulk mode. 
parent of 0006765closedfman warnings about /tmp in testlink events log 
parent of 0006773closedfman Test Case Step execution attachments - possibility to DELETE IT 
parent of 0006778closedfman API -XMLRPC - getProjectKeywords() 
parent of 0006779closedfman API -XMLRPC - getTestCaseKeywords() 
parent of 0006786closedfman Export Test Spec - add option to export external ID WITH PREFIX 
parent of 0006792closedfman Test case execution from Test Case Assignment Overview (reports) using smile execution options. 
parent of 0006797closedfman Assign keyword AT TEST SUITE LEVEL - add option to assign keywords ONLY TO FILTERED TEST CASES 
parent of 0006804closedfman Test Suite - inline images on details 
parent of 0006803closedfman Test Case - inline images on summary & preconditions 
parent of 0006767closedfman case execution module: when change tplan, current platform cannot renew 
parent of 0006799closedfman Requirements Specification: Display uploaded images in-line in Requirement Scope 
parent of 0006808closedfman Requirement print view - display images INLINE 
parent of 0006809closedfman Requirements Report - display images inline & convert TestLink tlInlineImage command 
parent of 0006806closedfman API XML-RPC - deleteTestPlan Method 
parent of 0006805closedfman API XML-RPC - add platform id for getTestCasesForTestPlan() Method 
parent of 0006802closedfman Report Bug per Test Case - option to process all executions (and not the latest on platform & build) 
parent of 0006761closedfman Negative value in Estimate exec. field in test case 
parent of 0004668closedfman Req Spec Attachements are lost when a new project is created from an existing one 
parent of 0004921closedfman Direct link for Test Suite 
parent of 0004656closedfman Test Plan Copy - Build release date is not copied 
parent of 0006818closedfman Test Case - inline images on STEPS 
parent of 0006819closedfman Test case STEP ghost inside Summary and/or Preconditions, is managed like Test case ghost (WRONG) 
parent of 0006821closedfman Test Project List - add number of available test projects (respect grants) 
parent of 0006822closedfman Custom Fields - Possibility to add to current test project while creating 
parent of 0006823closedfman Milestone provides 100% complete when 0 test cases of target priority are available 
parent of 0006824closedfman Milestones view - add section to display status 
parent of 0006828closedfman Req Based Report - When more than one platform exists, execution status is always on SAME platform (last created) 
parent of 0006834closedfman Req. Based Report - add possibility to filter on specific BUILD 
parent of 0006837closedfman Access Test Execution from Test Case Specification seems to be lost 
parent of 0006840closedfman [Import test execution results] Ignore test results if already exists in TestLink (with same execution timestamp) 
parent of 0006847closedfman Create Issue AFTER Execution - possibility to provide issue summary 
parent of 0006848closedfman Test case execution - bug list - possibility to configure ORDER BY 
parent of 0006855closedfman Test project table - add pagination 
parent of 0006854closedfman Create Issue WHILE Executing - possibility to provide issue summary 
parent of 0006856closedfman Test project & Test Plan Role assignment - add pagination 
parent of 0006858closedfman Allow keyword remove from Test Case view screen 
parent of 0006864closedfman Create Issue WHILE Executing - possibility to provide issue description 
parent of 0006865closedfman Test plan view - allow access to test case execution 
parent of 0006872closedfman JIRA REST - add issue note ( Jira calls it comment) 
parent of 0006874closedfman Execution Order in Bulk Mode doesn't match with Order shown in Left test suite tree 
parent of 0006814closedfman Test Case search - add option to search value on multiple fields 
parent of 0006899closedfman Incorrect bug ID in exported Excel spreadsheet 
parent of 0006904closedfman Export the Execution Order in a TestPlan for each testcase 
parent of 0006896closedfman XML-RPC API - add keywords to test case 
parent of 0006907closedfman XML-RPC API - Remove keywords from a test case set 
parent of 0006912closedfman Export for result import - add tags to allow specify result at step level 
parent of 0006884assignedfman Link to set execution status for related test case in execution mode. 
parent of 0006876closedfman Link to set execution status for a single test case when working in Bulk Mode 
parent of 0006905closedfman Link to test case is still raw link (no title) in email(HTML) type of test report 
parent of 0006926closedfman Cannot clear assignment in the "Assign to" drop down list 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-09-27 16:41 fman New Issue
2014-09-27 16:41 fman Status new => assigned
2014-09-27 16:41 fman Assigned To => fman
2014-09-27 16:41 fman Issue generated from: 0006457
2014-09-27 16:45 fman Sticky Issue No => Yes
2014-09-28 08:48 fman Relationship added parent of 0006611
2014-09-28 17:33 fman Relationship added parent of 0006608
2014-09-28 17:35 fman Relationship added parent of 0006612
2014-09-29 21:04 fman Relationship added parent of 0006617
2014-09-30 20:19 fman Relationship added parent of 0006626
2014-10-01 19:46 fman Relationship added parent of 0006631
2014-10-01 19:46 fman Relationship added parent of 0006630
2014-10-03 17:37 fman Relationship added parent of 0006637
2014-10-03 17:54 fman Relationship added parent of 0006638
2014-10-04 17:31 fman Relationship added parent of 0006635
2014-10-05 13:37 fman Relationship added parent of 0006614
2014-10-05 13:45 fman Relationship added parent of 0006610
2014-10-05 14:25 fman Relationship added parent of 0006116
2014-10-06 18:41 fman Relationship added parent of 0006648
2014-10-07 21:45 fman Relationship added parent of 0006650
2014-10-07 21:45 fman Relationship added parent of 0006651
2014-10-08 18:40 fman Relationship added parent of 0006655
2014-10-10 17:31 fman Relationship added parent of 0006656
2014-10-12 16:11 fman Relationship added parent of 0006666
2014-10-12 16:11 fman Relationship added parent of 0006667
2014-10-18 08:56 fman Relationship added parent of 0006673
2014-10-19 10:12 fman Relationship added parent of 0006686
2014-10-19 10:51 fman Relationship added parent of 0006688
2014-10-19 13:01 fman Relationship added parent of 0006689
2014-10-25 13:54 fman Relationship added parent of 0006712
2014-10-29 18:46 fman Relationship added parent of 0006719
2014-10-30 19:36 fman Relationship added parent of 0006722
2014-11-02 08:48 fman Relationship added parent of 0006723
2014-11-02 09:02 fman Relationship added parent of 0006720
2014-11-02 10:52 fman Relationship added parent of 0006725
2014-11-02 16:43 fman Relationship added parent of 0006726
2014-11-06 18:39 fman Relationship added parent of 0006730
2014-11-12 19:24 fman Relationship added parent of 0006743
2014-11-14 20:55 fman Relationship added parent of 0006646
2014-11-15 12:45 fman Description Updated View Revisions
2014-11-15 14:29 fman Relationship added parent of 0006740
2014-11-15 18:57 fman Relationship added parent of 0006739
2014-11-15 18:58 fman Relationship added parent of 0006736
2014-11-16 10:29 fman Relationship added parent of 0006754
2014-11-16 11:54 fman Relationship added parent of 0006756
2014-11-16 12:08 fman Relationship added parent of 0006749
2014-11-17 19:23 fman Relationship added parent of 0006744
2014-11-17 19:29 fman Relationship added parent of 0006752
2014-11-19 19:13 fman Relationship added parent of 0006765
2014-11-19 22:02 fman Relationship added parent of 0006773
2014-11-21 19:54 fman Relationship added parent of 0006778
2014-11-22 08:44 fman Relationship added parent of 0006779
2014-11-24 20:26 fman Relationship added parent of 0006786
2014-11-25 20:25 fman Relationship added parent of 0006792
2014-11-26 19:19 fman Relationship added parent of 0006797
2014-11-29 15:54 fman Relationship added parent of 0006804
2014-11-29 15:54 fman Relationship added parent of 0006803
2014-11-29 16:14 fman Relationship added parent of 0006767
2014-11-30 10:23 fman Relationship added parent of 0006799
2014-11-30 10:42 fman Relationship added parent of 0006808
2014-11-30 10:55 fman Relationship added parent of 0006809
2014-11-30 11:04 fman Relationship added parent of 0006806
2014-11-30 11:20 fman Relationship added parent of 0006805
2014-11-30 16:17 fman Relationship added parent of 0006802
2014-12-01 20:30 fman Relationship added parent of 0006761
2014-12-02 21:45 fman Relationship added parent of 0004668
2014-12-03 22:09 fman Relationship added parent of 0004921
2014-12-06 16:24 fman Relationship added parent of 0004656
2014-12-07 11:49 fman Relationship added parent of 0006818
2014-12-07 18:18 fman Relationship added parent of 0006819
2014-12-08 09:33 fman Relationship added parent of 0006821
2014-12-08 09:53 fman Relationship added parent of 0006822
2014-12-08 11:00 fman Relationship added parent of 0006823
2014-12-08 11:28 fman Relationship added parent of 0006824
2014-12-10 20:47 fman Issue cloned: 0006830
2014-12-11 21:32 fman Relationship added parent of 0006828
2014-12-13 10:07 fman Relationship added parent of 0006834
2014-12-14 09:44 fman Relationship added parent of 0006837
2014-12-16 18:05 fman Relationship added parent of 0006840
2014-12-21 13:49 fman Relationship added parent of 0006847
2014-12-21 13:49 fman Relationship added parent of 0006848
2014-12-24 16:54 fman Relationship added parent of 0006855
2014-12-24 16:55 fman Relationship added parent of 0006854
2014-12-24 18:29 fman Relationship added parent of 0006856
2014-12-25 11:50 fman Relationship added parent of 0006858
2014-12-27 15:46 fman Relationship added parent of 0006864
2014-12-28 18:42 fman Relationship added parent of 0006865
2014-12-31 01:23 fman Relationship added related to 0006870
2014-12-31 01:23 fman Relationship added related to 0006868
2014-12-31 01:23 fman Relationship added related to 0006869
2014-12-31 01:24 fman Relationship added related to 0006866
2014-12-31 01:24 fman Relationship added related to 0006867
2015-01-01 18:29 fman Relationship added parent of 0006872
2015-01-05 21:04 fman Relationship added parent of 0006874
2015-01-06 15:03 fman Relationship added parent of 0006814
2015-01-24 19:49 fman Relationship added parent of 0006899
2015-01-25 17:39 fman Relationship added parent of 0006904
2015-01-25 18:58 fman Relationship added parent of 0006896
2015-01-26 18:47 fman Relationship added parent of 0006907
2015-01-26 20:52 fman Relationship added parent of 0006912
2015-01-29 06:41 fman Relationship added parent of 0006884
2015-01-31 08:31 fman Relationship added parent of 0006876
2015-01-31 11:16 fman Relationship added parent of 0006905
2015-02-04 23:15 fman Relationship added parent of 0006926
2015-02-07 10:50 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-02-07 10:50 fman Status assigned => resolved
2015-02-07 10:50 fman Fixed in Version => 1.9.13 (2015 #1)
2015-02-07 10:50 fman Resolution open => fixed
2015-02-07 10:51 fman Status resolved => closed



Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker